Bug 15673 - --version-* options are still not ergonomic, and they reject tilde characters
Summary: --version-* options are still not ergonomic, and they reject tilde characters
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build (show other bugs)
Version: 4.20.0
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-06-26 23:14 UTC by Douglas Bagnall
Modified: 2024-07-09 09:54 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-20-test (5.19 KB, text/plain)
2024-07-03 10:20 UTC, Stefan Metzmacher
dbagnall: review+
Details
Patches for v4-19-test (5.19 KB, patch)
2024-07-03 10:21 UTC, Stefan Metzmacher
dbagnall: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Bagnall 2024-06-26 23:14:44 UTC
a follow-up to https://bugzilla.samba.org/show_bug.cgi?id=15654

This met some real-world problems, as described in
https://lists.samba.org/archive/samba-technical/2024-June/139020.html

and we might as well fix them immediately.

 * --vendor-patch-revision and --vendor-name are more options than you need
 * Common version characters like '~' are not accepted.
Comment 1 Samba QA Contact 2024-07-03 02:36:12 UTC
This bug was referenced in samba master:

0bc5b6f29307ce758774c1b2f48ce62315fdc7f9
673c8e6ca5994973e4887641c3599707a66a608c
Comment 2 Stefan Metzmacher 2024-07-03 10:20:34 UTC
Created attachment 18362 [details]
Patches for v4-20-test
Comment 3 Stefan Metzmacher 2024-07-03 10:21:20 UTC
Created attachment 18363 [details]
Patches for v4-19-test
Comment 4 Jule Anger 2024-07-09 07:20:25 UTC
Pushed to autobuild-v4-{20,19}-test.
Comment 5 Samba QA Contact 2024-07-09 08:47:11 UTC
This bug was referenced in samba v4-19-test:

fe5f703e4280eea502a5dbb3ca854c345b499aa6
a65eda03caa4e22c40893333f05f75d3208098dc
Comment 6 Samba QA Contact 2024-07-09 09:44:12 UTC
This bug was referenced in samba v4-20-test:

5531ef4d2b0569ded5f9be4396c84acc5042ce55
95058b97865cf179467e6d85a2f92ad8c27c0513
Comment 7 Jule Anger 2024-07-09 09:54:06 UTC
Closing out bug report.

Thanks!